Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 59530 - net-news/trn - new ebuild
Summary: net-news/trn - new ebuild
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: net-news Herd
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-08-05 08:54 UTC by Chris L. Mason
Modified: 2006-10-31 09:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
trn ebuild (trn-4.0_pre76.ebuild,1.61 KB, text/plain)
2004-08-05 08:55 UTC, Chris L. Mason
Details
trn license (LICENSE,851 bytes, text/plain)
2004-08-05 08:55 UTC, Chris L. Mason
Details
Updated trn ebuild (trn-4.0_pre76.ebuild,1.62 KB, text/plain)
2004-08-06 08:56 UTC, Chris L. Mason
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris L. Mason 2004-08-05 08:54:30 UTC
I've put together my first ebuild for the trn newsreader.

I'll attach the ebuild and the license after I submit the bug.

Note that trn uses its own license, which I've also attached.  This allows free     distribution by anyone as long as fees aren't charged, but software distributors are excepted from this, so I assume this would be okay for Gentoo.

Anyway, please let me know if there are any problems or if you anyone has any pointers or suggestions.
Comment 1 Chris L. Mason 2004-08-05 08:55:11 UTC
Created attachment 36820 [details]
trn ebuild
Comment 2 Chris L. Mason 2004-08-05 08:55:59 UTC
Created attachment 36821 [details]
trn license
Comment 3 Ciaran McCreesh 2004-08-05 10:09:11 UTC
You may want to fix:

* This is invalid:
	if [ `use score` ]; then

* Do an S=${WORKDIR}/${P/_pre/-test} rather than sticking the substitution all over the ebuild

* Use sed -i
Comment 4 Chris L. Mason 2004-08-05 15:53:34 UTC
Okay, thanks for the feedback.  I'll make these changes when I get back from work.

Note that I didn't use "sed -i" because I don't think this works on the new macos platform
(the native sed doesn't support "-i").  Should I use it anyway?

Thanks.
Comment 5 Chris L. Mason 2004-08-06 08:56:42 UTC
Created attachment 36891 [details]
Updated trn ebuild


Okay, here's an updated ebuild that makes the changes, except for sed -i, and
also has a fix to make sure the correct CFLAGS are used.
Comment 6 Chris L. Mason 2004-12-20 16:42:19 UTC
 Btw, this was my first ebuild and it's probably pretty crappy, but if someone (any trn users left out there?) could adopt this, I would appreciate it.  I'm sure a gentoo dev could whip this into shape real easy.  Thanks!  
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-10-31 09:36:58 UTC
Last upstream release 2001-04-02 -> WONTFIX.